<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: TextPosAnalysis Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_text_pos_analysis.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_text_pos_analysis-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TextPosAnalysis Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for TextPosAnalysis:</div>
<div class="dyncontent">
<div class="center"><img src="struct_text_pos_analysis__coll__graph.png" border="0" usemap="#_text_pos_analysis_coll__map" alt="Collaboration graph"/></div>
<map name="_text_pos_analysis_coll__map" id="_text_pos_analysis_coll__map">
<area shape="rect" title=" " alt="" coords="16,139,143,165"/>
<area shape="rect" href="struct_source_code_snippet.html" title=" " alt="" coords="5,5,153,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad89fc011b259989af80a6072aa6bf61f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#ad89fc011b259989af80a6072aa6bf61f">TopLevelText</a></td></tr>
<tr class="separator:ad89fc011b259989af80a6072aa6bf61f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcc762d206dbfd1e6280398a0d6cc76c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#abcc762d206dbfd1e6280398a0d6cc76c">ASTNodeUnderneathMacro</a></td></tr>
<tr class="separator:abcc762d206dbfd1e6280398a0d6cc76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dc8fe113f144454dc85fd38b5729326"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#a3dc8fe113f144454dc85fd38b5729326">FuncMacroExpAtASTNodeBegin</a></td></tr>
<tr class="separator:a3dc8fe113f144454dc85fd38b5729326"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35f0707e72d92420dae13d002943849f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#a35f0707e72d92420dae13d002943849f">FuncMacroExpAtASTNodeEnd</a></td></tr>
<tr class="separator:a35f0707e72d92420dae13d002943849f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83414bf0eb6e78da5d0a0822b008c697"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#a83414bf0eb6e78da5d0a0822b008c697">SpellFuncArgExpASTNodeBeg</a></td></tr>
<tr class="separator:a83414bf0eb6e78da5d0a0822b008c697"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888cc8658d73a76a8f4eb82fac7cb759"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#a888cc8658d73a76a8f4eb82fac7cb759">SpellFuncArgExpASTNodeEnd</a></td></tr>
<tr class="separator:a888cc8658d73a76a8f4eb82fac7cb759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13f8a849b34454697b911a20f4dc137a"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#a13f8a849b34454697b911a20f4dc137a">SpellSingleTokASTNodeBeg</a></td></tr>
<tr class="separator:a13f8a849b34454697b911a20f4dc137a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f91a3e7da2256c88bdedf54469b737"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_text_pos_analysis.html#af2f91a3e7da2256c88bdedf54469b737">SpellSingleTokASTNodeEnd</a></td></tr>
<tr class="separator:af2f91a3e7da2256c88bdedf54469b737"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="abcc762d206dbfd1e6280398a0d6cc76c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcc762d206dbfd1e6280398a0d6cc76c">&#9670;&nbsp;</a></span>ASTNodeUnderneathMacro</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> TextPosAnalysis::ASTNodeUnderneathMacro</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3dc8fe113f144454dc85fd38b5729326"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dc8fe113f144454dc85fd38b5729326">&#9670;&nbsp;</a></span>FuncMacroExpAtASTNodeBegin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> TextPosAnalysis::FuncMacroExpAtASTNodeBegin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a35f0707e72d92420dae13d002943849f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35f0707e72d92420dae13d002943849f">&#9670;&nbsp;</a></span>FuncMacroExpAtASTNodeEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> TextPosAnalysis::FuncMacroExpAtASTNodeEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a83414bf0eb6e78da5d0a0822b008c697"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83414bf0eb6e78da5d0a0822b008c697">&#9670;&nbsp;</a></span>SpellFuncArgExpASTNodeBeg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&gt; TextPosAnalysis::SpellFuncArgExpASTNodeBeg</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a888cc8658d73a76a8f4eb82fac7cb759"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888cc8658d73a76a8f4eb82fac7cb759">&#9670;&nbsp;</a></span>SpellFuncArgExpASTNodeEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&gt; TextPosAnalysis::SpellFuncArgExpASTNodeEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a13f8a849b34454697b911a20f4dc137a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13f8a849b34454697b911a20f4dc137a">&#9670;&nbsp;</a></span>SpellSingleTokASTNodeBeg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&gt; TextPosAnalysis::SpellSingleTokASTNodeBeg</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2f91a3e7da2256c88bdedf54469b737"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2f91a3e7da2256c88bdedf54469b737">&#9670;&nbsp;</a></span>SpellSingleTokASTNodeEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a>&gt; TextPosAnalysis::SpellSingleTokASTNodeEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad89fc011b259989af80a6072aa6bf61f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad89fc011b259989af80a6072aa6bf61f">&#9670;&nbsp;</a></span>TopLevelText</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> TextPosAnalysis::TopLevelText</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_text_pos_analysis.html">TextPosAnalysis</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
